<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="no"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<xsl:include href="headers.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

        <html>
        <head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
        	<link rel="stylesheet" href="css/styles.css" type="text/css" />
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
        </head>
        <body topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
            <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0" bgcolor="white">
            	<tr>
            		<td height="193">
            		<xsl:attribute name="style"><xsl:call-template name="TOP"/></xsl:attribute>
            			<table height="100%" width="100%" cellpadding="0" cellspacing="0" border="0">
            				<tr>
            					<td valign="top">
            						<table cellpadding="0" cellspacing="0" style="margin: 55px 0px 0px 15px;">
            							<tr>
            								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
            								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            							</tr>
            							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
            						</table>
            						<div style="width:780px; height:1px;"><spacer type="block" width="780" height="1"/></div>
            					</td>
            					<td width="100%" style="background-image : url('images/top-right.gif'); background-repeat : repeat-x;"></td>
            				</tr>
            			</table>
            		</td>
            	</tr>    
            	<tr>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
			            		<td height="100%" valign="top" width="224"><xsl:call-template name="TOP-MENU"/></td>
			            		<td valign="top" width="546" style="padding: 0 20px 40px 0">
									<div style="width:526px; height:1px;"><spacer type="block" width="526" height="1"/></div>
			    					<!-- CALL TOP-MENU-->

									<table cellpadding="0" cellspacing="0" align="center" summary="">
										<tr>
											<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
					    					<xsl:call-template name="SUB-MENU">
					    						<xsl:with-param name="pageID" select="@ID"/>
					    					</xsl:call-template>

										</tr>
									</table>
			            			<table cellpadding="0" cellspacing="0" style="margin-top:30px">
			            				<tr><td><img src="images/arrow-blue.gif" style="margin-right: 10px" /></td><td class="header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
			            			</table>
			    					<div class="pageContent">	
			    						<xsl:apply-templates select="PAGE-CONTENT"/>
			    					</div>
			            		</td>
			            		<td width="100%"></td> <!-- right space -->							
							</tr>
						</table>					
					</td>
            	</tr>
            	<tr>
            		<td bgcolor="#838383" height="65">
            			<div style="float: left" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
            		</td>
            	</tr>
            </table>
        </body>
        </html>
	</xsl:template>


	<!-- SUB-MENU -->
	<xsl:template name="TOP-MENU">
		<table width="224" height="270" cellpadding="0" cellspacing="0" border="0">
			<tr><td class="menu-middle" valign="top" style="background-image : url('images/menu-middle.gif'); background-repeat : repeat-y;">
        		<table cellpadding="0" cellspacing="0" width="100%" border="0" class="menu-top" style="background-image : url('images/menu-top.gif'); background-repeat : no-repeat;">
        			<tr>
        				<td class="menu-bottom" height="270" valign="top" style="background-image : url('images/menu-bottom.gif'); background-repeat : no-repeat; background-position : bottom;">
        					<table cellpadding="0" cellspacing="0" border="0">
        					<tr>
								<xsl:apply-templates select="MENU" mode="top"/>
							</tr>
							</table>
       					</td>
       				</tr>
       			</table>
       		</td></tr></table>	
	</xsl:template>


	<!-- TOP-MENU --> 
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
					<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
				<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
			</xsl:when>
			<xsl:otherwise>
				&#160;
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}">
			<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
		</meta>
	</xsl:template>


	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
