<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD colspan="2" height="394" style="background-image: url('images/header_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-position: top right; background-repeat: no-repeat;">
                <tr>
                    <td height="67">
                		<!-- MENU -->
              			<table cellpadding="0" cellspacing="0" align="right">
              				<tr>
              					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
                                <xsl:call-template name="TOP-MENU"/>
              					<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>

              				</tr>
              			</table>
                		<!-- END MENU -->
                    </td>
                </tr>
                <tr>
                    <td height="100%">
                        <div style="width: 320px">
                    		<!-- LOGO -->
      						<table cellpadding="0" cellspacing="0" align="center">
      							<tr>
      								<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
      								<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
      							</tr>
      							<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
      						</table>
                    		<!-- END LOGO -->
                        </div>
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR valign="top">
        <TD height="100%" style="padding: 30px 0;">
    		<!-- SUBMENU -->
  			<table cellpadding="0" cellspacing="0" align="center">
                <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
  			</table>
    		<!-- END SUBMENU -->
            <div style="width:300px; height:0px;"><span></span></div>
        </TD>
		<TD name="SB_stretch" width="100%" class="pageContent" style="padding: 30px 30px 30px 0;">
    		<!-- CONTENT -->
      		<table cellpadding="0" cellspacing="0" border="0">
      			<tr>
      				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
      				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
      			</tr>
      		</table>
      		<div style="width:0px; height:15px;"><span></span></div>
      		<xsl:apply-templates select="PAGE-CONTENT"/>
    		<!-- END CONTENT -->
		</TD>
	</TR>
	<TR>
		<TD colspan="2" height="169" style="background-image: url('images/footer.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/footer.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td style="padding: 60px 30px 0 0;">
                		<!-- FOOTER -->
                        <div class="footer" style="text-align: left; float: right;">
                            <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                        </div>
                		<!-- END FOOTER -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td align="center" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td align="center"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="20" align="center"><img src="images/submenu_hr.gif" border="0" alt=""/></td></tr>
	</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
