<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
    <tr align="left" >
      <td height="285" colspan="3" background="images/header_bg.jpg"><table width="100%" height="285"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <td height="285" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left bottom;">
		  <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="169"><img src="images/space.gif" width="520" height="1" /></td>
              <td width="100%" align="center"  style="padding-right: 50px;">
<!-- LOGO -->
						<table cellpadding="0" cellspacing="0" width="200">
							<tr><td align="center" style="padding-bottom:10px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
							</tr>
							<tr><td align="center" class="company" style="padding-top:10px;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
					</table>
<!-- END LOGO -->			  </td>
            </tr>
          </table></td>
        </tr>
      </table></td>
    </tr>
    <tr align="center" >
      <td height="50" colspan="3" background="images/tmenu_bg.jpg">
<!-- MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
        <xsl:call-template name="TOP-MENU"/>
        </tr>
      </table>
<!-- END MENU -->	  </td>
    </tr>
    <tr>
      <td width="100%" height="100%" align="left" valign="top" style="padding: 25px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/icon_text.jpg" width="20" height="19" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td width="100%" height="100%" align="left" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
   		</tr></table>
	  <!-- END CONTENT --></td>
      <td width="1" background="images/line.jpg"><img src="images/line.jpg" width="1" height="24" alt="" /></td>
      <td width="243" height="100%" align="center" valign="top" style="padding-top:27px;padding-bottom:27px;">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img name="" src="" width="243" height="1" alt=""/></td>
        </tr>
      </table>
<!-- SUBMENU -->
	  <table width="175" border="0" cellspacing="0" cellpadding="0">
         <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
      </table>
	  </td>
    </tr>
    <tr>
      <td colspan="3" background="images/line_bottom.jpg"><img src="images/line_bottom.jpg" width="281" height="1" alt="" /></td>
    </tr>
    <tr align="center">
      <td height="40" colspan="3">
<!-- BOOTTOM MENU -->
	  <table border="0" cellspacing="0" cellpadding="0">
        <tr>
          <xsl:call-template name="BOTTOM-MENU"/>
        </tr>
      </table>
<!-- END BOOTTOM MENU -->
	  </td>
    </tr>
    <tr align="center">
      <td height="60" colspan="3">
<!-- FOOTER -->
	<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
<!-- END FOOTER -->  
	  </td>
    </tr>
  </table>
</center>
</BODY>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="23" height="20"><img src="images/icon_sub.jpg" width="23" height="12" alt="" /></td>
          <td width="147" align="left" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          <td width="13" align="right"><img src="images/icon_sub2.jpg" width="4" height="5" alt="" /></td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <tr>
          <td width="23" height="20"><img src="images/icon_sub.jpg" width="23" height="12" alt="" /></td>
          <td width="147" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          <td width="13" align="right"><img src="images/icon_sub2.jpg" width="4" height="5" alt="" /></td>
        </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
        <tr align="right">
          <td colspan="3"><img src="images/line_sub.jpg" width="183" height="8" alt="" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			  <td width="30" align="center"><img src="images/icon_bmenu.jpg" width="13" height="5" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
