<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" bgcolor="White">
	<TR>
		<TD colspan="2" height="234" background="images/header_bg.gif">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="234">
				<tr>
					<td style="background-image: url('images/header.jpg'); background-position: top right; background-repeat:  no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="234">
							<tr>
								<td><div style="width:172px; height:1px;"><spacer type="block" width="172" height="1"/></div></td>
								<td width="100%">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="41">
										<tr>
											<td><img src="images/menu_l.gif" border="0" alt=""/></td>
											<td width="100%" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
												<!-- MENU -->
													<table height="41" cellpadding="0" cellspacing="0" border="0">
														<tr>
															<xsl:call-template name="TOP-MENU"/>
															<td width="30"><div style="width:5px; height:1px;"><spacer type="block" width="5" height="1"/></div></td>
														</tr>
													</table>		
												<!-- END MENU -->											
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td colspan="2" height="100%" style="padding-left: 44px;">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- END LOGO -->								
								</td>
							</tr>
							<tr>
								<td></td>
								<td>
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="38">
										<tr>
											<td><img src="images/txtheader_l.gif" border="0" alt=""/></td>
											<td width="100%" style="background-image: url('images/txtheader_bg.gif'); background-repeat: repeat-x;">
												<table cellpadding="0" cellspacing="0" border="0" width="100%" height="38" style="background-image: url('images/txtheader_bg.jpg'); background-repeat: no-repeat;">
													<tr>
														<td><img src="images/txtheader_bullet.gif" border="0" alt="" style="margin-right: 5px;"/></td>
														<td width="100%" class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top" background="images/submenu_bg.gif">
			<table cellpadding="0" cellspacing="0" border="0" width="172" height="100%" style="background-image: url('images/submenu_tbg.jpg'); background-repeat: no-repeat;">
				<tr>
					<td valign="top" style="background-image: url('images/submenu_bbg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
					<!-- SUBMENU -->
						<table cellpadding="0" cellspacing="0" width="140" align="center">
							<tr><td colspan="2" height="30"></td></tr>
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
							<tr><td colspan="2" height="334"></td></tr>
						</table>	
					<!-- END SUBMENU -->
					</td>
				</tr>
			</table>
		</TD>
		<TD width="100%" valign="top" class="bg pageContent" style="background-image: url('images/bg.gif'); padding: 20px 40px 20px 40px;">
		<!-- CONTENT -->
			<xsl:apply-templates select="PAGE-CONTENT"/>
		<!-- END CONTENT -->
		</TD>
	</TR>
	<tr><td colspan="2" height="27" style="background-image: url('images/footer_bg.gif'); background-repeat: no-repeat;"></td></tr>
	<TR>
		<TD colspan="2" height="60" valign="top" align="center">
		<!-- BOTTOM MENU -->
			<table cellpadding="0" cellspacing="0" align="center">
				<tr>
					<xsl:call-template name="BOTTOM-MENU"/>
				</tr>
			</table>	
		<!-- END BOOTTOM MENU -->
		<div style="width:1px; height:5px;"><spacer type="block" width="1" height="5"/></div>
		<!-- FOOTER -->
		<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>				
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
							<tr>								
								<td style="padding-left: 22px"><img src="images/submenu_bullet.gif" border="0"/></td>
								<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
							</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
							<tr>								
								<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
								<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
							</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="2" style="background-image: url('images/submenu_hr.gif'); background-repeat: repeat-x;"></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
					<td width="5"></td>
					<td><img src="images/bmenu_separator.gif" style="margin: 0px 5px 0px 5px;"/></td>
					<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
